Bug 1679008 - no auto completion with dnf
Summary: no auto completion with dnf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 8.0
Assignee: Marek Blaha
QA Contact: Eva Mrakova
URL:
Whiteboard:
Depends On: 1681084
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-20 05:23 UTC by Adam Xu
Modified: 2020-11-14 11:58 UTC (History)
7 users (show)

Fixed In Version: dnf-4.2.6-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:21:13 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:21:30 UTC

Description Adam Xu 2019-02-20 05:23:16 UTC
Description of problem:

there's no auto completion with the command "dnf".

Version-Release number of selected component (if applicable):
4.0.4

How reproducible:


Steps to Reproduce:
1.when using yum, press the "tab" key ,you will see a lof of the sub command,such as "list" "clean" "remove"
2.when using dnf, there's no auto completion at all.
3.there's auto completion in fedora when using "dnf".

Actual results:
no auto completion with dnf.

Expected results:
when press "tab", it should show a lot of sub commands.

Additional info:
If a user is used to Fedora, it will be difficult to get used to it without auto-completion.

Comment 8 errata-xmlrpc 2019-11-05 22:21:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583

Comment 9 Todd Zullinger 2019-12-29 01:22:52 UTC
It's possible this bug was caused by the lack of /usr/bin/python3 on the test system.  That might be puzzling to some users at first, as dnf clearly works and needs python.  But it uses /usr/libexec/platform-python.  I recently ran into this issue in an updated CentOS 8 container with dnf-4.2.7-6.el8.noarch.

The completion script should use that as well, but it doesn't because the code to use that alternate python had the path as /usr/libexec/system-python.  That was added back in 2017 and the path was changed before it reached EL8.

A PR to fix that issue has been merged: https://github.com/rpm-software-management/dnf/pull/1562 (https://github.com/rpm-software-management/dnf/commit/46c5023).


Note You need to log in before you can comment on or make changes to this bug.